Rosoft Media Player Help

This documentation contains:

  • A Quick Start guide
  • Introduction to the application.
  • Application Interface Guide.
  • Menu explanations.
  • Frequently Asked Questions (FAQ).
  • Glossary - explains terms used within the documentation.
  • End User License Agreement (EULA)
  • Information on how to Register

This document was written by Lars Rosenberg, founder of Rosoft Engineering. Since my native language is Swedish I would apprecheate all correction and comments for the language in this document as well as the programs described. Corrections and comments should be sent to support@RosoftEngineering.com

Copyright (c) Rosoft Engineering, 2002

Rosoft Engineering, Karlstad, Sweden
Homepage: http://www.RosoftEngineering.com
Affiliate Site: http://www.Rosoft.nu
E-mail Support: support@RosoftEngineering.com


Requently Asked Questions (FAQ)

Frequently Asked Questions (FAQ)

If you would like to post a question you should send the question to support@RosoftEngineering.com

Q: How do I get the program

    A: You can get both the limited edition and the registered edition from our homepage. However for the registered edition you need the username, passwords and Registration Key you where sent when you made the registration. You can register ShareIt it or RegNow. European citizen within the European Union (EU) should register at RegNow to avoid paying VAT. Once the program is downloaded you have to run the install file. See the install description.

Q: What if the install goes wrong?

    A: If some thing goes wrong while you install you should try to run the install from the start again. In some rare cases you might have to reboot before you reinstall the program. In some very rare cases you need to delete the entire Rosoft key in your Registry. See Windows 2000/XP and the Registry for more information.

Q: What is the adware and how does adware work?

    A: For detailed information Advertisement Ware (Adware) is simply a way to distribute free programs while the developer gets paid for every one who uses the free programs. An adware program comes with a program that some how show ads for the user. It van be interstitial ads so called pop-up screens, banners within the program and text added to the frame of your browser window. For more information about adware read our adware section in this document.

Q:

Is the program bad for my computer?I received a warning not to open or save this file that it contain a possible malicious CODEC that could harm my system if opened or saved. As a result, I did not even attempt to open or download the file. I do not know if it's safe to download.

    A: No defiantly now. When you use Windows XP and have Windows Media Player 7.1 or later installed you get these type of question whenever a program tries to play where Windows can't recognize the audio format. To make things easy for the users Microsoft has a database of what CODECs that can be used for different audio format. To be able to download such a third party CODEC automaticly Microsoft or any one who does so must show the warning you got. Installing Rosoft Audio Tools or any of Rosoft Engineering's program doesn't install any CODEC what so ever. The tools simply uses the ones that comes with Windows or the ones you have installed. If you have installed some odd CODEC that's some thing we can't do any thing about.

[Home]

[Home]


Introducing Rosoft Lame Encoder

Introducing Rosoft Media Player

Rosoft Engineering proudly presents Rosoft Media Player. A true media player since it plays any file as long as you have the right ACM CODEC installed on your computer. Rosoft Media Player uses the MCI interface to decode the files. Rosoft Media Player is a program that is easy to use. You can search your entire hard drive for any specific file type. As an example you can search you whole hard drive or CD-ROM for every mp3 files. You can start in any directory and search all sub directories for files of a certain file extension, You can for example load every file on a CD-ROM by selecting the CD-ROM device and search for file extension *.* or *.

  • Who is Rosoft Lame Encoder for?
  • Quick Start?
  • Install!

[Home]


Rosoft Media Player, Quick Start

Rosoft Media Player has been designed to be quick to use and learn:

  • Download Latest release
  • Install Program
  • Create a Media List
  • Edit a Media List
  • Enter Options for Font & Background Color
  • Edit ID3 Tags

  • Play and edit and enjoy your saved media files.


Who Should Use

Who Should Use Rosoft Media Player

You should use Rosoft Media Player if you?

  • Need a organiser for your installed audio and video files.
  • Want to make play list of your collection of your installed media files.
  • Want a program that can search your entire hard drive for media files and add them to play lists.
  • Want a program where you can set the color, font, style and background color for the edit fields.
  • Wnat a program that is easy to install and easy to manage.

[Introduction]


Install Rosoft Media Player

Install a registered edition

    The difference between a registered edition and limited edition is that the registered edition is unlimited in use and it includes adware while the registered edition doesn't need any adware program installed to work and is unlimited in use. The install procedure removes the adware that comes with an adware or limited edition. The registered edition of Rosoft Media Player comes with Rosoft Audio Tools, Lame Edition and earlier releases of Rosoft Audio Tools, Licensed Edition.

    First download the latest release from our download page. This download is password protected and you need to use the username and password you where given when you registered. You will also need the password to run the install files as well as the Registration Key which you also where given when you registered. If you have lost the information you can send us an email to support@RosoftEngineering.com. You have to provide us with either the email address you registered with, your Registration Key or your registration number you got from ShareIt or RegNow.

    Once the program is downloaded you need to unzip the downloaded file. In Windows XP you don't need to do this. Windows XP handles zip files. A good program to unzip files with is WinZip.

    Execute the file RosoftAudioToolsLame.exe and follow the instructions. Keep your password for the install file and Registration Key near by. If you don't enter the Registration Key correctly the program will be unusable. The Registration Key is unique to every user and shall only be used on one computer at a time. If you have the registration key installed on two machines at the same time the program might will randomly fail to work, this to protect again unauthorized redistribution.

  • Here are the screens you should be prompted when you run the install program.

    • Setup screen
    • Welcome to install.
    • End User License Agreement (EULA)
    • Password for the install file.
    • Destination for the installed files.
    • Destination for the short cuts in the start menu.
    • Confirm the destination for the files and short cuts in the start menu.
    • Process window
    • OK Screen
    • Finished the install.

Install a limited edition

    The limited edition of Rosoft Media Player and Rosoft Audio Tools comes with the adware program n-CASE delivered by 180Solutions. For some downloads EasyInstall from RedV Network is used. EasyInstall will help you download the program as it handles interruptions made by your Internet connection. In fact Rosoft doesn't deliver EasyInstall. It is EasyInstall that is downloading of the Rosoft program.

    If you dislike the adware you can uninstall them from your Control Panel using the program Add/Remove Programs.

    Here's how you install the program.

      Download the latest release from our homepage or any other download site where you can find the program at. It is recommended to save the downloaded file in a folder before you open it. Do not open the install from your browser. In case an earlier download was interrupted the new download may fail.

      Run the install file and follow the instruction. Make sure you install all features in the install file and carefully read the EULA.

    • Here are the screens you should be prompted when you run the install program.

      • Setup screen
      • Welcome to install.
      • EULA
      • Destination for the files.
      • Destination for the short cuts in the start menu.
      • Confirm the destination for the files and short cuts in the start menu.
      • Process windows
      • Restart before you can use the program

[Introduction]


Rosoft Media Player Interface

The interface description is divided into four parts

  • Menus
  • Media List
  • Pause Delay
  • Buttons
  • Font & Back Ground Color

[Home]


Buttons

  • Play

    • Play the file selected in the Media List.

  • Pause

    • Pause the file playing.

  • Stop

    • Stop file file playing.

  • Previous

    • Stop the file and move to the previous file.

  • Next

    • Stop the track and move to the next file. If Random is selected the program moves to a random file from the list. Once a file has been played it will not be played until all tracks in the list has been played unless you unselect the check box in at the left of the file name.

  • Open

    • Opens the dialog from where you can select files you like to add to the media list .

    [Interface]


Media List

Track List

Track list is a list of media files. You can add any type of file but to be able to play the files you need a ACM CODEC installed on your PC to be able to play the files. For example, to be able to play mp3 files you need an ACM CODEC installed that can decode the mp3 format. Rosoft Media Player uses the MCI interface for decoding the files. You can edit the ID3 Tag for a specific mp3 file you just double click the file The mark at the left in the list of files shows that this file was played or is playing or paused. If you have random selection chosen the selected files will not be played until all files has been played. When all files has been played all files are unchecked. The path and file name of the media list is shown in the status bar at the bottom of the program.

[Interface]


Media List

Pause Delay

This function adds a pause between two tracks when you play a list. The time for the pause is given in hundreds of a seconds For example 180 hsec gives a pause of 3 seconds. You can set the pause delay to zero if you don't want any pause at all. If you play an mp3 list that you want to record on your mini disk it is preferred to set the pause delay so the mini disk can split the track. This function was added on request on our users.

[Interface]


Fonts & Colors

      Select font, style, color and background color for all text fields in the program.

    • Font

        • Select the font you like. Here are some examples of different fonts:

        MS Sans Serif

        Times New Roman

        Courier New

        Comic Sans MS

        Arial

        MS Sans Serif Bold

        Times New Roman Bold

        Courier New Bold

        Arial Bold

    • Style

        • You can set the style of the text to Bold or Normal. This is bols text, this is normal text.

    • Background Color

        • You can set the background color for the fields and the track list. You can select from general colors and you can create your own background color.

    • Foreground Color

        • You can set the foreground color for the fields and the track list. You can select from general colors and you can create your own foreground color.

[Options Menu]


Rosoft Media Player Menus

Track List Menu

Edit Menu

ID3 Tags Menu

Options Menu

Help Menu

[Home]


Rosoft Media Player, Media Menu

Rosoft Media Player, Track List Menu

  • New

    • Open a new empty track list. The file name for the new track list is set to noname.rml. If a file with that name exist it will be replaced with the new empty track list.

  • Load

    • Load a track list you you created earlier or any text file created by another program containing a list of media files.

  • Close

    • Close the track list.

  • Print

    • Print the track list. .

  • Search

    • Search our entire hard drive or any directory including all sub folders. For example search all mp3 files on you media drive/folder. The function searches every sub folder of the folder/drive you enter.

    See this wizard the search wizard.

  • Save

    • Save the the track list.

  • Save As

    • Rename the opened track list. Use this function when you want to change a track list and have a copy of the old media list.

  • Delete

    • Delete the track list.

  • Exit

    • Close the program. This will save all new options you have selected as well as the media list you have selected.

    [Menus]


Search Wizard

Rosoft Media Player, Search Wizard

This document describes in detail how to use the search function in the Media Menu..

Open the Media Menu in the upper left corner and select Search.

Select File Extension

Select the driver you want to search

    Enheter is Swedish for Devices.

Select the folder from where the search start.

    This is the local root folder where you start the search. Every file in the folder and its sub folders that has the same file extension as the one you set will be added to the media list.

    program with the same file extension as the one you selected will be added to the media list.

Press OK

Save the media list. It is wise to save the media list under a new name.

[Media Menu]


Rosoft Media Player, Edit Menu

  • Add

    • Add one ore more files to the media list.

  • Print Track List

    • The list printer will help you print out all your list files that you have created. For example all CDR that contains your mp3 files.

  • Remove

    • Remove the selected file from the media list. The selected file must not be the file that is playing. You can remove the a file even if the file is playing.

  • Remove Selected

    • Remove the track at the cursors position.

  • Remove All Selected

    • Remove all the tracks that is selected in the left column of the track list.

  • Remove Selected Region

    • Remove all the tracks in a selected region. See the page How To Select A Region.

  • Remove All

    • Remove all the tracks from the track list. This is equal with clear the track list.

    Hint: In stead of using the New command in the Track List Menu you can save the media list under a different name using Save As in the Track List Menu. Then use this function to clear the list and add your new files to the media list. Last, save the new changes with Save in the Track List Menu.

    [Menus]


Rosoft Media Player, Options Menu

Rosoft Media Player, ID3 Tags Menu

  • Edit All Selected

    • Edit all the tracks that is selected in the track list. Use this option very carefully.

  • Edit Selected Region

    • Edit a tracks within the region where the selected track is. A region is a set of tracks that are selected and that are selected in a row as on the screen drop below. See the page Select A Region for more information.

  • Edit Selected

    • Edit the track at the cursor position.

  • Select

    • Select the track at the cursors position.

  • Unselect

    • Unselect the track at the cursors position.

  • Select To Previous Selected

    • Select all tracks from the cursors position to the first previously select track. If no previous track is select every track from the cursors position and to the first track will be selected.

  • Select To Next Selected

    • Select all tracks from the cursors position to the next selected track. If no next track is selected the all track from the cursors position and to the last track of the list will be selected.

  • Select All

    • Select every track of the list. Use this options very carefully.

  • Select None

    • Unselect all tracks in the list. Use this if you want to all tracks as non played in the list. This command is very useful when you play in random order.

    [Menus]


ID3 Tag Editor

  • MP3 Options

    • MP3 Options

      • This frame show the options that where set when the file was encoded. This data can't be changed by the editor.

    • Artist

      • this should represent the Artist(s) that are performing the track.

    • Name

      • The name of the song/track. This field doesn't have to be the same as the file name. For example "A Whiter Shade of Pale".

    • Album

      • This is the album on which the file was recorded from.

    • Genré

      • You may categorize the file in any of the predefined genre.

    • Year

      • Set this to the year it was originally recorded. For example: The song Breaking The law written by Judas Priest that is included on the record British Steel was recorded in 1980. If that would be the file you are editing you should set the year to 1980 not the year you recorded the file.

    • Track

      • Should be set to the track number on the original record.

    • Comment

      • Any thing as long as it doesn't exceeds 255 characters including spaces.

  • Buttons

    • OK

      • Press this button to apply the changes and close the dialog.

    • Cancel

      • Press this button if you don't want to apply the changes you made in this dialog.

    • Help

      • Press this button to invoke this page.

    [Edit Menu]


Rosoft Media Player, Media Menu

How To Select A Region

With a region means a set of tracks within the track lists that are selected in a row. The track before the first select track in the region is not selected and the track after the last track in a region is not selected. All tracks in between is selected as in the picture below.

How To Select A Region

  • First you have to select the first track within the region you want to select
  • Set the cursor at the track where you want the region to end.

  • Press the menu button on the mouse and select Select To Previous Selected
  • Make sure the cursor is set at any track within the region.

    • Now you can edit select region or remove selected region. Of course you can first select the last track in the region you want to select and then set the cursor at the first track of the region you want to create. Then press the menu button on the mouse and select Select To Next Selected instead

[Menus]


Rosoft Media Player, Options Menu

  • Auto Save

    • When this option is selected the program saves the media list without any question when you close the program.

  • Font

    • Opens the font dialog where you can select font, font style, font color and background color for the text fields.

  • Play Order

    • Sets the order Rosoft Media Player selects next file from the track list. You can chose from random and in order. Random means that the program selects the next file randomly from the files that are unchecked.

  • Sorted

    • Indicates if th etrack list are to be sorted or not. If this item is selected an unsorted track list will be sorted when it is opened by the program,

    [Menus]


Rosoft Media Player, Help Menu

  • About

    • Open the abaout box from where you can see information of the edition, release and where you have buttons that links to our homepage and support email. In the limeted editions you also have a button that links you to the registration page. If you downloaded the program from one of our affilate partners homepage you may see a logo that links to our affilates homepage.

  • Index

    • Open this help page.

    [Menus]


About MP3

I guess most people have heard about mp3. For those ho haven't I will try go get a short introduction. MP3 is a way to compress digital audio. Digital audio is impossible to compress to less than half the size if you want the uncompressed information to be unchained. There fore you must cheat a little bit when you compress digital audio. The only way is to split the audio signal into frames and for every frame you then must find the frequencies and their values. Many frequencies can be removed because you do not hear them. For example man can only hear two signals at the same time if the difference between them are less than 50 dB, For example if one signal is 90 dB every signal less than 40 dB can be removed since you never hear them. At lest a normal person doesn't hear them. There are only one type of songs where I've been able to heard the difference between a wave and an mp3 file and that are songs with slide or steal guitar combined with a fast echo on the guitar. If you are a trained musician and have good hearing and if you have a really good sound board, then maybe you are able to hear the difference between a wave and an mp3 file. In basics the mp3 files stores time frames and for every time frame they store the frequencies and the frequencies value.

[Home]


ACM CODEC

A CODEC is generally a device driver for wave file which are installed in the operating system. Every program that supports all installed wave formats can use this CODEC. For example you can use Fraunhofers IIS Mpeg Layer 3 CODEC to encode and decode wave files and this way make them 10 to 12 times smaller.


About Adware

  • What Is Adware?

    Adware is a program that displays ads to the user. The ads can be pop-up screens so called interstitial ads, ordinary banners within the program, ads in the active browser windows frame as the ads Web3000 where displaying or of any other type of ads displayed to for the user. The adware programs are generally two programs, one that does some thing useful and one that displays the ads.

  • Why Use Adware?

    The key for the users is to be able to use the programs free-of-charge and the key to. The key for the developers is to get paid for all the free programs. For example last year we made more than twice the money of the adware than on the registrations. Not that the registration rates where low in any kind more the fact that the ads generated a lot of money. Unfortunately the ad revenue has gone down the months.

    Adware developers and we the software developers have to keep a balance between a fair revenue and not showing to much ads. To do what Web3000 did wasn't a good idea, at the end Web3000 bombarded the users with ads forcing many to uninstall immediately and that gave us a very bad feedback. 180Solutions model is far better. They have no spyware included and the ad looks like the rest of the pop-up ads you see when you are browsing.

  • How To Uninstall the Adware

    Generally you uninstall the adware from the Control Panel. In some cases like with Web3000 you need to uninstall all programs that came with Web3000. With programs like n-CASE from 180Solutions and EasyInstall from RedV Network you can uninstall the adware only. The program that came with the adware may however stop working when you do so.

  • Adware Verses Spyware

    Adware isn't the same as spyware. A spyware program is a program that gathers personal information of how you serf. A program that gathers information on how you serf but don't connect the information of any personal data is not a spyware. In this case the part that gathers the information can't see who is surfing where and when. The can only see how many are visiting certain sites and what type of sites. The way 180Solutions gathers the information is by connecting the data to a number that is unique to every user. No personal data is connected to this number. With n-CASE and EasyInstall's network we even have the option to set the pop-up rate for the ads shown. Some ads shown may however ask you for information. That could be from advertisers that are using the network that are displaying the ads for you. If you don't like spyware, then don't reply to these ads, just ignore them.

  • Rosoft Limited Editions

    The limited program comes with an adware program. An adware program is a program that displays ads on your PC. At the moment I have a contract with 180Solutions that supports me with a program called n-CASE and RedV Network that provides the program EasyInstall or to be more precise EasyInstall provides you with our programs. You first download a special version of the EasyInstall program that when it has been downloaded starts the download of our install file. This will help you if your Internet connection goes down. EasyInstall handles this a neat way.

    It is the adware program that makes it possible for you to try the limited edition of Rosoft CD Extractor for as many as 30 trials. My goal is to let the limited editions be unlimited in use as long as you have the adware installed. Unfortunately the Internet ad market has been low the last months and many adware companies have gone under including my former partner Web3000. I lost about US$5,000 on this bankruptcy. With 180Solutions things are begging to be normal again and I have high hopes for RedV Network and its program EasyInstall.

  • A Major Income Source

    The income from the adware is as much as from the registrations and some times even more. Last year I made more than $40,000 on the adware. I think the adware is perfect for small software manufactures as Rosoft Engineering. A good thing with adware is that Rosoft Engineering gets paid while you users are able to use the programs free-of-charge as long as the adware is installed.

    • [Home]


Uninstall Web3000

There are two ways to get rid of Web3000.

  • Uninstall all Web3000 partner program(s).

  • Register Rosoft Audio Tools and get all my programs without any adware. Though, if you have programs from other manufactures than Rosoft and which are using Web3000 as adware you have to uninstall these programs to.

Rosoft programs is available in a registered version named Rosoft Audio Tools, Lame Edition without any adware. See our download page. The pop-up screens in your browser is the adware that comes with any of Rosoft Engineerings adware programs. It's very easy to remove the adware Web3000. You simply remove the programs that are using Web3000. Go to your control panel, start the program Add/Remove Programs, select the program you want to uninstall, then press the Install/Uninstall button. If no other programs are using Web3000, then Web3000 should be removed. If not try to uninstall Web3000 the same way. This will fail but it will tell you which program(s) to uninstall before Web3000 is uninstalled.

NOTE: If you have removed any thing manually from the program(s) that uses Web3000 you must reinstall the program(s) again before you can uninstall the program(s) correctly.

[Home]


How to uninstall n-CASE

There are four ways to uninstall n-CASE from our computer.

  • Upgrade to the full version of Rosoft Audio Tools, Lame Edition.

  • Delete the file called msbb.exe that is stored in the same folder as your Rosoft executables.

  • Uninstall the program Interstitial Ad Delivery by n-CASE from your Control Panel.

  • Uninstall the adware program that installed msbb.exe from your Control Panel. Generally Rosoft CD Extractor, Limited Edition or Rosoft Audio Tools, Limited Edition

[Adware]


End User License Agreement (EULA)

End User License Agreement (EULA) for Rosoft Media Player

There are three editions of Rosoft Media Player:

  • Registered Edition
  • Adware Edition
  • Shareware Edition

Rosoft Media Player - Registered Edition

THIS PROGRAM IS DELIVERED AS IS AND THE AUTHOR SHOULD NOT BE LIABLE FOR ANY DAMAGE IT MIGHT DO TO YOUR COMPUTER OR SOFTWARE. IT IS UP TO THE BUYER TO TEST THE ADWARE OR SHAREWARE EDITION OF ROSOFT MEDIA PLAYER TO ENSURE FITNESS FOR PURPOSE.

All licensed or registered editions are solely for the private use of the registered individual. A separate registration must be made for each installed copy of the software. The Registration Key you is given is unique to every user and shall only be used on one computer at a time. If you have the same registration key installed on two machines at the same time the program might will randomly fail to work, this to protect again unauthorized redistribution.

You can read about 180Solutions private policy here.

Rosoft Media Player - Adware Edition

THIS PROGRAM IS DELIVERED AS IS AND THE AUTHOR SHOULD NOT BE LIABLE FOR ANY DAMAGE IT MIGHT DO TO YOUR COMPUTER OR SOFTWARE. IT IS UP TO THE BUYER TO TEST THE ADWARE OR SHAREWARE EDITION OF ROSOFT MEDIA PLAYER TO ENSURE FITNESS FOR PURPOSE.

The included adware comes from 180Solutions and RedV Network and are called n-CASE and EasyInstall.

Rosoft Media Player - Shareware Edition

THIS PROGRAM IS DELIVERED AS IS AND THE AUTHOR SHOULD NOT BE LIABLE FOR ANY DAMAGE IT MIGHT DO TO YOUR COMPUTER OR SOFTWARE. IT IS UP TO THE BUYER TO TEST THE ADWARE OR SHAREWARE EDITION OF ROSOFT MEDIA PLAYER TO ENSURE FITNESS FOR PURPOSE.

Copyright (c) 2002, Rosoft Engineering, Karlstad, Sweden
Email: support@RosoftEngineering.com
Homepage: http://www.RosoftEngineering.com/
Affiliate site: http://www.rosoft.nu/

[Home]


Register

Why Register?

You register all four audio programs from Rosoft Engineering

If you register you will get Rosoft Audio Recorder, Rosoft CD Extractor, Rosoft Lame Encoder and Rosoft Media Player in one install file. These four programs have no limitations. The install-file uninstalls the adware from Web3000 and 180Solutions and RedV Network. That is if you haven't changed any thing for Web3000 or n-CASE.

You can download every upgrade for Rosoft Audio Tools, Lame Edition 2.x.x.

If you register Rosoft Audio Tools, Lame Edition you are free to download the latest release of Rosoft Audio Tools here.

Update emails

Unless you unsubscribe from our mailing list. You will get update emails for every new release and for every new bug fix that is released. You might also get information of new programs that we release.

Where can I register?

You can register at ShareIt or RegNow. European citizen within the European Union (EU) should register at RegNow to avoid paying VAT.

[Home]


Rosoft Media Player Glossary

ACM

An Audio Converter Module (ACM) is a module that converts audio format. Often mentioned along with CODEC. So called ACM CODEC. Windows Media Player uses ACM CODEC's to play audio files. If you for example use Rosoft Media Player to play files you must have an ACM CODEC installed to be able to play the files.

Adware

Adware is programs that are available free-of-charge as long as you use another program that displays advertisements. Adware is not the same as spyware. Adware programs like n-CASE from 180Solutions do not gather any personal information from the user and there for n-CASE is no spyware.

CODEC

A COdec DECoder (CODEC) is generally a device driver for wave file, which are installed in the operating system. Every program that supports all installed wave formats can use this CODEC. For example you can use Fraunhofers IIS Mpeg Layer 3 CODEC to encode and decode wave files and this way make them 10 to 12 times smaller.

Control

A Control is generally a button or any other graphic in a program that when you click it the program performs a certain type of action. Examples of Controls are buttons, menus and sliders.

Driver

A driver is a program that acts as the interface between a program and the operating system. For example: To be able to play audio files you must have a driver installed for your sound card. The program that plays the file sends digital audio information to the driver. The driver then sends the information to the sound card. The drivers also send information back to the user program. For example: When you play an audio file the driver lets the program know when it should send information to the sound board The program can't just send the information to the sound card when it wants. The program must send the information when the buffers on the sound card have space for them. This way the audio data are synched so you get a steady stream of data and the sound are played in normal speed.

The ACM CODECs can bee seen as a driver for a specific file format. It's a way of making a CODEC usable from other programs such as Rosoft Media Player and Rosoft CD Extractor.

EULA

End User License Agreement (EULA) is a document that describes the right to use the product. The document also describes what it is you are installing. By accepting the EULA you accept the install of all software described in the EULA. All programs that come with an adware program should include an EULA.

File Extension

File Extension is the three characters after the dot (.) that the file name ends with. This extension tells Windows how to access the file. For example a file that ends with .EXE or .exe is an executable program. A file that ends with .TXT or .txt is a text file that includes characters. Every byte in file is treated as a character

MP3

I guess most people have heard about mp3. For those ho haven't I will try go get a short introduction. MP3 is a way to compress digital audio. Digital is impossible to compress if you want the uncompressed information to be unchained. There fore you must cheat a little bit when compressing digital audio. The only way is to split the audio signal into frames. For every frame you then must find the frequencies and their values. Many frequencies can be removed because you do not hear them. For example man can only hear two signals at the same time if the differences between them are less than 50 dB, that is if one signal is 90 dB every signal less than 40 dB can be removes since you never hears those signals. At lest a normal person doesn't hear them. There is only one type of songs where I have heard the difference and that is songs with slide or steal guitar. So if you are a trained musician and have good hearing and also have a really good sound board, maybe you should be able to hear the difference. In mp3 files you simply save what frequencies, their values and how long the are.

MP3Pro

MP3Pro is Fraunhofers update of mp3. MP3Pro uses two data streams to compress the audio data. One for the lower frequencies and one for the higher. This way you can compress the audio ore so you can use lower bit rates at better quality. The key to MP3Pro is the huge patent fees mp3-licensing are charging for the right to use the patented functions.

WAVE

File format that Windows uses to play and record audio. To read or write to a wave file you generally write or read to the WaveIO functions in Windows API

Windows API

Windows Application Interface (API) is a set of functions that programmers use to read and write information to Windows Operating System (OS).

WMA

Windows Media Audio (WMA) is Windows own file format for compressed audio. With the new WMA 7.1 you the quality has been improved very much. You should compare WMA 7.1 and later with the quality of MP3Pro. WMA 7.1 is way better that mp3 if you compare the quality for the same bit rates for MP3 and WMA

Copyright (c) 2002, Rosoft Engineering, Karlstad, Sweden
Email: support@RosoftEngineering.com
Homepage: http://www.RosoftEngineering.com/
Affiliate site: http://www.rosoft.nu/

[Home]


Windows 2000/XP and the Registry

  • If you are using Windows 2000 or Windows XP it is very important that you log in with the same rights as the Administrator when you install the program. The install program writes and saves data to the Registry and a limited user or a guest sometimes can't do this depending on the rights for the specific user.

  • If you for some reason have trouble with the Registry it's recommended that you first delete the entire key HKEY_CURRENT_USER\Software\Rosoft from your Registry then reinstall the the programs. If you have an older release than 2.2.4 you may also need to delete the entire key HKEY_LOCAL_MACHINE\Software\Rosoft. To delete a Registry Key you need to open RegEdit. At the left of your task menu you have a Start Button . Press the Start button and select Run from the menu. Then type regedit.exe in the field and press OK. In the left frame of the RegEdit window select the keys mentioned above and press the Delete Key. Make sure it is the keys above you are deleting. It is crucial that you do not delete the wrong key(s). Your entire system may crash if you delete the wrong keys. See the screen below for an example. Note : The program you see is from a Swedish version of Windows XP Pro

    • [Home]


File Extension

These are the file extensions you can use.

  • RML

    • This extension represents a file type created by Rosoft Engineering. By using this extension you will save if a file is checked or not. That is: If the file is checked it is not included in the random list.

  • MPU

    • MP3 Unit file. This is a file extension used by Xing and others. Generally it is an ordinary text file.

  • TXT

    • This extention is of course the standard text format. The file type is the same as for MPU files.

  • *.*

    • Any extension. With this extension the files is stored as an ordinary text file just as with the file extensions TXT and MPU.


Rosoft Media Player, Print List Files

This dialog is very useful when you want to print all the list files that you have created. For example you might make a lot of CDR with mp3 files on. Insert each and every of the CD's in the CD-ROM. Search for mp3 files and save the file. When you have created list files for each and every of your CDR you simply open this dialog and add every list file than press the print button. Then all your list files will be printed.

Press this button to open the list files you want to print.

Open a browser window with Rosoft Engineering's homepage.

Open your default embalm tool with an e-mail to Rosoft Engineering support..

Press this button to remove the files selected in the list.

Clear the list of files.

Open this help page.

Print all files, not only those who are selected.

[Edit Menu]